<template>
    <a-layout-sider
        :trigger="null"
        collapsible
        v-model="collapsed"
        width="300"
        >
        <div class="logo p-3 mb-5">
            micro CRM
        </div>
        <a-menu theme="dark" mode="inline"
            :defaultSelectedKeys="[$route.name]" @click="handleClick">
            <a-menu-item key="UsersPage">
                <a-icon type="team" />
                <span>Сотрудники</span>
            </a-menu-item>
            <a-menu-item key="TasksPage">
                <a-icon type="calendar" />
                <span>Задачи</span>
            </a-menu-item>
            <a-menu-item key="DevicesPage">
                <a-icon type="desktop" />
                <span>Устройства</span>
            </a-menu-item>
            <a-menu-item key="TicketsPage">
                <a-icon type="code-o" />
                <span>Заявки на поддержку</span>
            </a-menu-item>
        </a-menu>
    </a-layout-sider>
</template>

<script type="text/javascript">
  export default {
    props: ['collapsed'],
    methods: {
      handleClick(data) {
        this.$router.push({ name: data.key });
      }
    }
  }
</script>